Name:		gnome-theme-clearlooks-bigpack
Version:	0.6
Release:	6%{?dist}
Summary:	Additional Clearlooks color schemes

Group:		User Interface/Desktops
## No explicit license version in any of the source files; and no
## corresponding documentation. Thus, it is under _any_ version of the GPL,
## according to the Licensing FAQ page on the FedoraProject.org wiki. 
License:	GPL+
## Upstream has apparently vanished... :(  
# URL:		?		

## Using my own hosting since upstream appears to have vanished.
Source0:	http://mirror.thecodergeek.com/src/Clearlooks-Big_Pack-0.6.x.tar.gz
## Using my own hosting so that the tarball will be versioned; have sent an
## inquiry about this to upstream.
Source1:	http://mirror.thecodergeek.com/src/ALL-CL-Big_Pack-Cairo-%{version}.tar.gz
Patch0:		%{name}-fix-Cairo_Curve-ComboBox-text-contrast.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:	gtk2-engines >= 2.8

%description
Lots and lots of color schemes for the Clearlooks GTK+ 2.x engine, including
Cairo-enabled schemes for smoother visual rendering.


%prep
%setup -q -b 0 -c
%setup -q -D -b 1 -c
%patch0 -p0 
## Harmless cruft from older Clearlooks engine configuration options;
## not used and cause "... is not supported and will be ignored" messages to
## be displayed. 
for GTKRC in Clearlooks*/gtk-2.0/gtkrc; do				
	sed -i -re 's/^\s+menuitemstyle\s+=.*$//g' ${GTKRC};		
	sed -i -re 's/^\s+listviewitemstyle\s+=.*$//g' ${GTKRC};	
	sed -i -re 's/^\s+progressbarstyle\s+=.*$//g' ${GTKRC};		
	sed -i -re 's/^\s+sunkenmenu\s+=.*$//g' ${GTKRC};		
done


%build
# Nothing to build...


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/themes
cp -ap Clearlooks* %{buildroot}%{_datadir}/themes


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_datadir}/themes/*


%changelog
* Sun Oct 07 2007 Peter Gordon <peter@thecodergeek.com> - 0.6-6
- Add some sed invocations at build-time to remove unused menuitemstyle,
  listviewitemstyle, progressbarstyle, and sunkenmenu configuration options.
- Resolves: bug 242031 (Clearlooks bigpack warnings)
- Clarify License version (GPL+) for compliance with new Licensing guidelines. 

* Tue Apr 10 2007 Peter Gordon <peter@thecodergeek.com> - 0.6-5
- Add patch to fix the longstanding issue of ComboBox hover text having little
  or no contrast when using the Cairo-enabled Curve theme (which also quiets
  some "... not implemented and will be ignored" options).
- Rework %%setup invocations to be more quiet (as they should be).
- Add some text to the %%description to note that we have the Cairo-enabled
  goodness. 

* Sat Nov 04 2006 Peter Gordon <peter@thecodergeek.com> - 0.6-4
- Explicitly depend on gtk2-engines >= 2.8, since we're doing Cairo-enabled
  goodness
- Add bug number to previous %%changelog entry.

* Sat Nov 04 2006 Peter Gordon <peter@thecodergeek.com> - 0.6-3
- Fix homepage URL
- A bunch of aesthetic cleanups to the spec
- Add Cairo-enabled themes (resolves bug #214030)

* Wed Oct 11 2006 Peter Gordon <peter@thecodergeek.com> - 0.6-2
- Bump EVR and rebuild to pick up new dist tag evaluation (for FC6/Devel)
- Use hard tabs instead of spaces for the tags for simplicity

* Fri Dec 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> - 0.6-1
- Upstream update

* Thu Apr  7 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> - 0.5-1.fc4
- Dist split

* Wed Apr  6 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> - 0.5-1
- Initial RPM release
